## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

POST

/v1

/analysis-type-configuration

/query

Query

cURL

```
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/analysis-type-configuration/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

```
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/analysis-type-configuration/query"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/analysis-type-configuration/query', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

200

```
{
  "pageNumber": 123,
  "totalPages": 123,
  "content": [
    {
      "id": "<string>",
      "version": 123,
      "creationDate": "2023-11-07T05:31:56Z",
      "lastModifiedDate": "2023-11-07T05:31:56Z",
      "createdUserInfo": {
        "userId": "<string>",
        "userName": "<string>"
      },
      "lastModifiedUserInfo": {
        "userId": "<string>",
        "userName": "<string>"
      },
      "system": true,
      "libraryId": "<string>",
      "engagementId": "<string>",
      "analysisId": "<string>",
      "analysisTypeId": "<string>",
      "configuration": {
        "riskGroups": [
          {
            "disabled": true,
            "id": "<string>",
            "system": true,
            "analysisTypeId": "<string>",
            "selectedRiskRange": "<string>",
            "applicableRiskRanges": [
              "<string>"
            ],
            "filter": {
              "values": [
                "<string>"
              ]
            },
            "controlPointWeights": {},
            "controlPointBundleVersion": "<string>",
            "name": {},
            "description": {},
            "category": {}
          }
        ]
      },
      "controlPointBundleVersion": "<string>",
      "template": true
    }
  ],
  "numberOfElements": 123,
  "totalElements": 123,
  "pageable": {
    "pageNumber": 123,
    "pageSize": 123,
    "offset": 123,
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    }
  },
  "pageSize": 123,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  },
  "first": true,
  "last": true,
  "size": 123,
  "number": 123
}
```

#### Authorizations

Authorization

string

header

required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Query Parameters

page

integer

default:0

Zero-based page index (0..N)

Required range: `x >= 0`

size

integer

default:20

The size of the page to be returned

Required range: `x >= 1`

sort

string[]

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

#### Body

application/json

- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20

operator

enum<string>

required

Available options:

`$eq`,

`$ne`,

`$gt`,

`$gte`,

`$lt`,

`$lte`,

`$contains`,

`$ncontains`,

`$in`,

`$nin`,

`$flags`,

`$keyword_prefix`,

`$keyword_prefix_not`,

`$isubstr`,

`$iprefix`,

`$niprefix`,

`$between`,

`$nbetween`,

`$and`,

`$or`,

`$population`,

`$not_population`,

`null`

#### Response

200 - application/json

OK

Was this page helpful?

YesNo

[Previous](https://developer.mindbridge.ai/api-explorer/tag-descriptions/analysis-type-configuration) [ReadRetrieve an existing analysis type configuration by its ID.\
### Permissions\
- `api.analysis-type-configuration.read`\
\
Next](https://developer.mindbridge.ai/api-reference/analysis-type-configuration/read)
